#!/usr/bin/env bash

# ensure we have exactly three nodes for our cluster.
echo "Checking that we have exactly 3 nodes for our cluster..."
IP_ADDRESSES=$(doctl compute droplet list --format "PublicIPv4" --no-header --tag-name kubernetes_cluster)
[[ $(echo "$IP_ADDRESSES" | wc -l) -ne 4 ]] && exit 1

# Run the RKE configuration tool
#rke config --name cluster.yml
rke up --config cluster_PRODUCTION.yml

#helm repo add rancher-stable https://releases.rancher.com/server-charts/stable
helm repo add rancher-latest https://releases.rancher.com/server-charts/latest

helm repo update

####
# The following is only necessary when using TLS certificates generated by rancher or let's encypt.
####

# Install the CustomResourceDefinition resources separately
#kubectl apply -f https://raw.githubusercontent.com/jetstack/cert-manager/release-0.12/deploy/manifests/00-crds.yaml

# Create the namespace for cert-manager
#kubectl create namespace cert-manager

# Add the Jetstack Helm repository
#helm repo add jetstack https://charts.jetstack.io

# Update your local Helm chart repository cache
#helm repo update

# Install the cert-manager Helm chart
#helm install \
#  cert-manager jetstack/cert-manager \
#  --namespace cert-manager \
#  --version v0.12.0

#kubectl create namespace cattle-system

#helm install rancher rancher-latest/rancher --namespace cattle-system --set hostname=kube.homeskillet.org

#kubectl -n cattle-system rollout status deploy/rancher
